import { z } from "zod"

import { nullableStringValidator } from "@/utils/zod/stringValidator"

import { imageSchema } from "../image"

const descriptionSchema = z
  .object({
    medium: nullableStringValidator,
    short: nullableStringValidator,
  })
  .nullish()

const textsSchema = z.object({
  descriptions: descriptionSchema,
  facilityInformation: nullableStringValidator,
  meetingDescription: descriptionSchema,
  surroundingInformation: nullableStringValidator,
})

export const hotelContentSchema = z.object({
  images: imageSchema,
  texts: textsSchema,
})
